local bloodLust = { 2825, 32182, 80353, 90355, 178207 }

local frame = CreateFrame("Frame")
frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
frame:SetScript("OnEvent", function(self, event, ...)
    if event == "COMBAT_LOG_EVENT_UNFILTERED" then
        local timestamp, subevent, hideCaster, sourceGUID, sourceName, sourceFlags, sourceRaidFlags, destGUID, destName, destFlags, destRaidFlags = CombatLogGetCurrentEventInfo()

        if subevent == "UNIT_DIED" then
            if destName == "Philox" then
                PlaySoundFile("Interface\\Addons\\BondeMaravilha\\song\\narutoded.ogg", "Master")
                print("Sad Naruto for Philox :(")
            end

            if destName == "Runicstrike" then
                PlaySoundFile("Interface\\Addons\\BondeMaravilha\\song\\malucodoi.ogg", "Master")
                print("Maluco doente for Runic :(")
            end

            if destName == "Näerel" then
                PlaySoundFile("Interface\\Addons\\BondeMaravilha\\song\\darkness.ogg", "Master")
                print("Hello Darkness for Näerel:(")
            end

            if destName == "Gpdarth" then
                PlaySoundFile("Interface\\Addons\\BondeMaravilha\\song\\thomas.ogg", "Master")
                print("Thomas de Dark Engine")
            end
        end

        if subevent == "SPELL_AURA_APPLIED" then
            local _, _, _, _, _, _, _, _, _, _, _, spellId, spellName = ...
            if destName == UnitName("player") then
                for _, v in pairs(bloodLust) do
                    if v == spellId then
                        PlaySoundFile("Interface\\Addons\\BondeMaravilha\\song\\bl1.ogg", "Master")
                        print("Time for Blood Lust")
                    end
                end
            end

            if destName == "Runicstrike" then
                if spellId == 195362 then
                    --PlaySoundFile("Interface\\Addons\\BondeMaravilha\\song\\sanic.ogg", "Master")
                    print("Sanic")
                end
            end
        end
    end
end)

GTAFrame = CreateFrame("Frame", nil)
GTAFrame:SetBackdrop(nil)
GTAFrame:SetFrameStrata("HIGH")
GTAFrame:SetSize(600, 600)
GTAFrame:SetScale(1)
GTAFrame:SetPoint("CENTER", 0, 200) --12
GTAFrame.texture = GTAFrame:CreateTexture(nil, "TOOLTIP")
GTAFrame.texture:SetAllPoints(true)
GTAFrame.texture:SetColorTexture(0, 0, 0, 1.0)
GTAFrame.texture:SetTexture("Interface\\Addons\\BondeMaravilha\\texture\\missionpassed.tga")
GTAFrame:Hide()

local GTAanimGroupFadeIn = GTAFrame:CreateAnimationGroup()
GTAanimGroupFadeIn:SetLooping("REPEAT")
fade1 = GTAanimGroupFadeIn:CreateAnimation("Alpha")
fade1:SetDuration(3)
fade1:SetFromAlpha(0)
fade1:SetToAlpha(1)
fade1:SetOrder(1)

local GTAanimGroupFadeOut = GTAFrame:CreateAnimationGroup()
GTAanimGroupFadeOut:SetLooping("REPEAT")
fade2 = GTAanimGroupFadeOut:CreateAnimation("Alpha")
fade2:SetDuration(3)
fade2:SetFromAlpha(1)
fade2:SetToAlpha(0)
fade2:SetOrder(1)

local function fadeInGTA()
    PlaySoundFile("Interface\\Addons\\BondeMaravilha\\song\\gta.ogg", "Master")
    GTAFrame:Show()
    GTAanimGroupFadeIn:Play()
end

local function fadeOutGTA()
    GTAanimGroupFadeOut:Play()
end

local function OnFinishedIn()
    GTAanimGroupFadeIn:Stop()
    fadeOutGTA()
end

local function OnFinishedOut()
    GTAanimGroupFadeOut:Stop()
    GTAFrame:Hide()
end

fade1:SetScript("OnFinished", OnFinishedIn) -- Same as Frame:SetScript, Input is [OnLoad, OnPlay, OnPaused, OnStop, OnFinished, OnUpdate].
fade2:SetScript("OnFinished", OnFinishedOut) -- Same as Frame:SetScript, Input is [OnLoad, OnPlay, OnPaused, OnStop, OnFinished, OnUpdate].
--GTAanimGroup:Play()

showAnimation = false
local function onUpdate(self, elapsed)
end

local updateIcon = CreateFrame("frame")
updateIcon:SetScript("OnUpdate", onUpdate)

local function lastAlive()
    local group = "none"
    if IsInRaid() then
        group = "raid"
    elseif IsInGroup() then
        group = "party"
    end

    if group == "none" then
        return false
    end

    local ded = 0
    for i = 1, GetNumGroupMembers() do
        if UnitHealth(group..i) == 0 then
            ded = ded + 1
        end
    end

    print(ded)
    if ded == GetNumGroupMembers() - 1 then
        return true
    end
    return false
end

--ENCOUNTER_END
local animationStart = 0
local gtaLOGOFunc = function(...)
    local table, event, encounterID, encounterName, difficultyID, groupSize, success = ...

    if success == 1 then
        fadeInGTA()
        animationStart = GetTime()
    end
end

local gtaLOGO = CreateFrame("frame")
gtaLOGO:SetScript("OnEvent", gtaLOGOFunc)
gtaLOGO:RegisterEvent("ENCOUNTER_END")